Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## j3deditor.bin.hierarchy.util
Enum PrimitiveType

    java.lang.Object
      java.lang.Enum<PrimitiveType>
          j3deditor.bin.hierarchy.util.PrimitiveType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PrimitiveType>

    public enum PrimitiveType

extends java.lang.Enum<PrimitiveType>

Determines the type of the `J3DePrimitive` object and the type of `Primitive` object inside it.

Author:
  Risto Seene

Enum Constant Summary
`BOX` primitive is an instance of `Box`
`CONE` primitive is an instance of `Cone`
`CYLINDER` primitive is an instance of `Cylinder`
`SPHERE` primitive is an instance of `Sphere`

Method Summary
`static PrimitiveType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PrimitiveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOX

    public static final PrimitiveType BOX

  primitive is an instance of `Box`

### CONE

    public static final PrimitiveType CONE

  primitive is an instance of `Cone`

### SPHERE

    public static final PrimitiveType SPHERE

  primitive is an instance of `Sphere`

### CYLINDER

    public static final PrimitiveType CYLINDER

  primitive is an instance of `Cylinder`

Method Detail

### values

    public static PrimitiveType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PrimitiveType c : PrimitiveType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PrimitiveType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD